﻿/*
	StyleBundle:	"~/Res/Theme" order #8
	Description:	Customize light theme of Devexpress for application.
*/
.dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvFocusedRow_MaterialGreen a, .dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvFocusedGroupRow_MaterialGreen a {
    color: inherit;
}
.dxtc-activeTab {
    /*background: rgb(210, 234, 252);*/
    /*background: linear-gradient(0deg, rgba(117,183,238,1) 1%, rgba(168,213,250,1) 2%, rgba(117,183,238,20%) 70%);*/
    background: rgb(117, 239, 146); /*linear-gradient(0deg, rgba(117,183,238,1) 1%, rgba(168,213,250,1) 2%, rgba(117,183,238,90%) 100%);*/
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    /*background: rgb(117,183,238);
    background: linear-gradient(0deg, rgba(117,183,238,1) 1%, rgba(168,213,250,1) 2%, rgba(255,255,255,0) 60%);*/
}

.dxtc-activeTabHover {
    background: rgb(174, 251, 176); /*linear-gradient(0deg, rgba(117,183,238,1) 1%, rgba(168,213,250,1) 2%, rgba(117,183,238,90%) 100%);*/
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

	.dxtc-activeTab > a {
		color: navy;
	}

.dxeReadOnly_MaterialGreen,
.dxeReadOnly_MaterialGreen input,
.dxeDisabled_MaterialGreen,
.dxeDisabled_MaterialGreen input {
	background-color: whitesmoke !important;
}

span.autogen,
table.autogen.dxeTextBoxSys,
.autogen input.dxeEditAreaSys,
.autogen input.dxeMemoEditAreaSys {
	/*background-color: #e5f4fc;*/
	color: blue;
}

/*********************************************************************************
	DX-GV Header Row
*********************************************************************************/

.dxgvHeader_MaterialGreen {
	background-color: #e9fee8;
}

.dxgvTable_MaterialGreen caption, .dxgvInlineEditRow_MaterialGreen td.dxgv, .dxgvFooter_MaterialGreen td.dxgv {
    border-bottom: 1px solid #DFDFDF !important;
}

/*********************************************************************************
	DX-GV Filter Row
*********************************************************************************/

.dxgvFilterRow_MaterialGreen td.dxgv {
	background-color: white;
}

.dxgvFilterRow_MaterialGreen .dxeTextBoxSys .dxic,
.dxgvFilterRow_MaterialGreen .dxeTextBoxSys input,
.dxgvFilterRow_MaterialGreen .dxeButtonEditSys .dxic,
.dxgvFilterRow_MaterialGreen .dxeButtonEditSys .dxeEditAreaSys,
.dxgvFilterRow_MaterialGreen .dxeButtonEditSys .dxeButtonEditClearButton_MaterialGreen {
	background-color: #f3fff7;
}


/*********************************************************************************
	DX-GV Focused Row
*********************************************************************************/

.dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvFocusedRow_MaterialGreen,
.dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvFocusedRow_MaterialGreen.dxgvDataRowHover_MaterialGreen {
	background-color: #faedb6;
	color: black;
}

.tdBorder {
    border: 1px solid #DCDCDC;
}

.themebackground{
    background-color:white;
}

/*********************************************************************************
	export-query-viewer
*********************************************************************************/

.export-query-viewer table.dxpgControl_MaterialGreen .dxpgHeader_MaterialGreen {
	background-color: bisque;
}

.export-query-viewer table.dxpgControl_MaterialGreen .dxpgColumnFieldValue_MaterialGreen {
	background-color: cornsilk;
}

.export-query-viewer table.dxpgControl_MaterialGreen .dxpgColumnTotalFieldValue_MaterialGreen {
	background-color: antiquewhite;
}

.export-query-viewer table.dxpgControl_MaterialGreen .dxpgColumnGrandTotalFieldValue_MaterialGreen {
	background-color: lemonchiffon;
	font-weight: Bold;
}

.export-query-viewer table.dxpgControl_MaterialGreen .dxpgColumnFieldValue_MaterialGreen,
.export-query-viewer table.dxpgControl_MaterialGreen .dxpgRowFieldValue_MaterialGreen {
	color: #222;
}

.export-query-viewer table.dxpgControl_MaterialGreen .dxpgCell_MaterialGreen {
	color: black;
}

/*********************************************************************************
	combobox multi-column header
*********************************************************************************/

.dxeHD .dxeHFC,
.dxeHD .dxeHC,
.dxeHD .dxeHLC {
	background-color: #e5fce5;
	color: black;
	font-weight: bold;
}